Instrumentation Drivers - Task #16712

Milestone # 16710 (Assigned): Commission nmltrg

Create ACNET devices
05/30/2017 11:28 AM - John Diamond

Status: Closed Start date: 05/30/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 4.00 hours
Target version: Spent time: 4.00 hours
Description

Create ACNET devices for controlling both timing modules.

History

#1 - 06/19/2017 12:49 PM - John Diamond

- File nmitrg_acnet_devices.tif added

Attaching a list of ACNET devices that | received from Brian. He also said that we can keep the existing Z: devices for the second trigger module as
only the first module will be used for operations.

#2 - 06/19/2017 12:50 PM - John Diamond

Also -

Note that in the document Brian has specified default values for the Mux input and mode select.

#3 - 07/09/2017 10:08 AM - John Diamond
- % Done changed from 0 to 80

Created the following ACNET devices:

ACNET Device Description Scaling
N:TRGDEL Trigger Delays (indexes 0-11) for board @ 12.30769/1000 microseconds per clock tick
0x1000
N:TRGMUX Input MUX (indexes 0-11) for board @ 0x1000 | Modified the following setting values for FAST:

0 = FirstPulse (was BES)
4 = 3MHz (was BSYNC1)
5 = Gate (was BSYNC2)

N:TRGINT Timing interval None
N:TRGNTR Number of triggers None
N:TRGOUT Output select Digital status and control bits defined

#4 - 07/10/2017 10:39 AM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 80 to 100

Devices were added to D150/FAST tab/Sub-page 5 & 6.
Added Mux register initialization commands to nmltrgstartup.

Files

nmltrg_acnet_devices.tif 23.4 KB 06/19/2017 John Diamond
